org.apache.lucene.util.packed

## Class DirectReader

- java.lang.Object
- - org.apache.lucene.util.packed.DirectReader

    public class DirectReader
    extends Object

Retrieves an instance previously written by `DirectWriter`

Example usage:

       int bitsPerValue = 100;
       IndexInput in = dir.openInput("packed", IOContext.DEFAULT);
       LongValues values = DirectReader.getInstance(in.randomAccessSlice(start, end), bitsPerValue);
       for (int i = 0; i < numValues; i++) {
         long value = values.get(i);
       }

See Also:
  `DirectWriter`

### Constructor Summary

Constructors
Constructor and Description
`DirectReader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LongValues` `getInstance(RandomAccessInput slice, int bitsPerValue)` Retrieves an instance from the specified slice written decoding `bitsPerValue` for each value
`static LongValues` `getInstance(RandomAccessInput slice, int bitsPerValue, long offset)` Retrieves an instance from the specified `offset` of the given slice decoding `bitsPerValue` for each value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectReader

    public DirectReader()

### Method Detail

#### getInstance

    public static LongValues getInstance(RandomAccessInput slice,
                                         int bitsPerValue)

Retrieves an instance from the specified slice written decoding `bitsPerValue` for each value

#### getInstance

    public static LongValues getInstance(RandomAccessInput slice,
                                         int bitsPerValue,
                                         long offset)

Retrieves an instance from the specified `offset` of the given slice decoding `bitsPerValue` for each value